Subject: check 2293 and need more
From: "Patty and Mike Finan" <[email-masked]>
To: "Katy Parcells" <[email-masked]>
Date: Mon, 14 Apr 2008 17:05:59 -0400

Hi there,

I wanted to let you know that I wrote out check 2293 for $100 to John Pridnia. It was for an advertising spot in a Travel Host magazine that the group in Port Austin took out. We are mentioned and our events are listed on the schedule. It's a great spread and will be in hotels from Flint northward. John wrote out the check since I did not get back to him quick enough to meet the deadline. 

I only have 2 more checks left - could you please send more up? 
Thanks!
Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989 738-6007  cell 989 670-8196
www.HuronCityMuseums.org